<%= form_for @changeset, @action, [as: :session, class: "m-form"], fn f -> %>
  <%= if @changeset.action do %>
    <div class="m-form__group">
      <span class="m-form__info m-form__info--error">
      <%= gettext "Incorrect email address or password." %>
      </span>
    </div>
  <% end %>

  <div class="m-form__group">
    <%= label f, :email, class: "m-form__label" %>
    <%= text_input f, :email, class: "m-form__input" %>
  </div>

  <div class="m-form__group">
    <%= label f, :password, class: "m-form__label" do %>
      <%= gettext "Password" %>
      <%= link(gettext("Forgot password?"), to: Routes.password_reset_path(@conn, :new)) %>
    <% end %>
    <%= password_input f, :password, class: "m-form__input" %>
  </div>

  <div class="m-form__group m-form__group--cta">
    <%= link(gettext("Don't have an account? Sign up!"), to: Routes.user_path(@conn, :new), class: "m-btn m-btn--text m-btn--sm") %>
    <%= submit gettext("Sign in"), class: "m-btn m-btn--primary" %>
  </div>
<% end %>
